:root {
	--offset: 50px;
	--duration: 1s;
	--delay: 0.3s;
	--shift: 130%;
}

.mavic_animation .mavic__img,
.mavic_animation::before,
.mavic_animation::after{
	animation-duration: var(--duration);
	animation-fill-mode: forwards;
}

.mavic_animation .mavic__img {
	position: relative;
	animation-name: mavic-on;
}

.mavic_animation::before,
.mavic_animation::after {
	position: absolute;
	top: 50%;
	left: 50%;
}

.mavic_animation::before {
	content: url('../img/iphone-back.png');
	animation-name: iphoneBack_of;
}

.mavic_animation::after {
	content: url('../img/iphone-front.png');
	animation-name: iphoneFront_of;
}

/* Hover */

.mavic_animation:hover .mavic__img {
	animation-name: mavic-of;

}

.mavic_animation:hover::before {
	animation-name: iphoneBack_on;
}

.mavic_animation:hover::after {
	animation-name: iphoneFront_on;
}

/* MAVIC */

@keyframes mavic-on {
	0% {
		transform: translateY(calc(var(--shift) * -1)) scale(0) rotate(-45deg);
		opacity: 0;
	}

	80% {
		transform: translateY(10%) scale(1.1) rotate(0);
	}

	100% {
		transform: translateY(0px) scale(1) rotate(0);
	}
}

@keyframes mavic-of {
	0% {
	}

	100% {
		transform: translateY(calc(var(--shift) * -1)) scale(0) rotate(-45deg);
		opacity: 0;
	}
}

/* IPHONE BACK */

@keyframes iphoneBack_on {
	0% {
		opacity: 0;
		transform: translate(calc(-50% - var(--offset)), var(--shift)) rotate(40deg)
			scale(0);
	}

	80% {
		opacity: 1;
		transform: translate(calc(-50% - var(--offset)), -50%) rotate(0deg) scale(1);
	}

	100% {
		transform: translate(calc(-50% + var(--offset)), -50%) rotate(0deg);
	}
}

@keyframes iphoneBack_of {
	0% {
		transform: translate(calc(-50% - var(--offset)), -50%) rotate(0deg);
	}

	20% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) rotate(0deg) scale(1);
	}

	100% {
		opacity: 0;
		transform: translate(calc(-50% - var(--offset)), var(--shift)) rotate(40deg)
			scale(0);
	}
}

/* IPHONE FRONT */

@keyframes iphoneFront_on {
	0% {
		opacity: 0;
		transform: translate(calc(-50% + var(--offset)), var(--shift)) rotate(40deg)
			scale(0);
	}

	80% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset)), -50%) rotate(0deg);
	}
	100% {
		transform: translate(calc(-50% + var(--offset) * -1), -50%) rotate(0deg)
			scale(1);
	}
}

@keyframes iphoneFront_of {
	0% {
		transform: translate(calc(-50% + var(--offset)), -50%) rotate(0deg);
	}

	20% {
		opacity: 1;
		transform: translate(calc(-50% + var(--offset) * -1), -50%) rotate(0deg)
			scale(1);
	}

	100% {
		opacity: 0;
		transform: translate(calc(-50% + var(--offset)), var(--shift)) rotate(40deg)
			scale(0);
	}
}
